Skip to main content
GET
/
api
/
v1
/
ai
/
providers
/
{id}
Get AI provider
curl --request GET \
  --url https://api.dualship.run/api/v1/ai/providers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "base_url": "<string>",
  "created_at": "<string>",
  "id": "<string>",
  "is_default": true,
  "max_retries": 123,
  "models": [
    "<string>"
  ],
  "name": "<string>",
  "priority": 123,
  "provider_type": "<string>",
  "status": "<string>",
  "timeout_seconds": 123,
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualship.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Path Parameters

id
string
required

Provider ID

Response

Provider details

base_url
string
created_at
string
id
string
is_default
boolean
max_retries
integer
models
string[]
name
string
priority
integer
provider_type
string
status
string
timeout_seconds
integer
updated_at
string